Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          org.apache.batik.swing.svg.SVGFileFilter

public class SVGFileFilter
extends javax.swing.filechooser.FileFilter

This implementation of FileFilter will allows SVG files with extention '.svg' or '.svgz'.

Constructor Summary
`SVGFileFilter()`

Method Summary
`boolean` | `accept(java.io.File f)` Returns true if `f` is an SVG file
`java.lang.String` | `getDescription()` Returns the file description

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGFileFilter

    public SVGFileFilter()

Method Detail

### accept

    public boolean accept(java.io.File f)

  Returns true if `f` is an SVG file

### getDescription

    public java.lang.String getDescription()

  Returns the file description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.